{% set cardHasHeader = user.id === model.id %}
{% set hasSidebar = false %}
{% set subtitle = "User Details" %}

{% extends "../../layout/admin.njk" %}

{% block cardHeader %}
    <p class="card-header-title has-text-success">
        This is you!
    </p>
{% endblock %}

{% block cardContent %}
    {% if error %}
        <div class="has-text-centered">
            <p class="has-text-danger mb-3">{{ error }}</p>
        </div>
    {% else %}
        <table class="table is-fullwidth is-striped is-hoverable">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Username</th>
                    <th>Email</th>
                    <th>Role</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>{{ user._id }}</td>
                    <td>{{ user.username }}</td>
                    <td>{{ user.email }}</td>
                    <td>{{ user.role }}</td>
                </tr>
            </tbody>
        </table>
    {% endif %}

    <hr>

    <div class="has-text-centered">
        <a class="button is-primary" href="{{ url('admin/users') }}">
            <span class="icon is-small">
                <i class="fas fa-arrow-left"></i>
            </span>
            <span>Back</span>
        </a>
    </div>
{% endblock %}
